Skip to main content

Redirect to waitlist

POST{{server}}/api/v1/counter/redirect/waitList

This endpoint redirects the ticket to the global or local waitlist.

Request

  • ticket: Ticket key

  • global: If true, it puts the ticket to global waitlist instead of local.

  • wasRealTransaction: Is it was a real transaction?

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"global": false,
"wasRealTransaction": true
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/redirect/waitList' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"global": false,
"wasRealTransaction": true
}'

Example​

Example request
POST{{server}}/api/v1/counter/redirect/waitList
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1906d4ba-ccac-4a1f-d8f9-a63962d6879a",
"global": false,
"wasRealTransaction": true
}
Example response 204 No Content
No response body